Bug 1262849 - libxml2: Out-of-bounds memory access when parsing unclosed HTML comment
Summary: libxml2: Out-of-bounds memory access when parsing unclosed HTML comment
Keywords:
Status: CLOSED DUPLICATE of bug 1213957
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1276688 (view as bug list)
Depends On: 1262851 1262853 1262854
Blocks: 1262850 1276694
TreeView+ depends on / blocked
 
Reported: 2015-09-14 13:31 UTC by Adam Mariš
Modified: 2019-09-29 13:36 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-13 16:19:53 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-09-14 13:31:07 UTC
Out-of-bounds memory access vulnerability when parsing unclosed HTMl comment was found in libxml2. By entering a unclosed html comment such as <!-- the libxml2 parser didn't stop parsing at the end of the buffer, causing random memory to be included in the parsed comment.

CVE request:

http://seclists.org/oss-sec/2015/q3/540

Upstream was notified, but patch is not released yet. However, a patch for nokogiri, which uses embedded libxml2, was proposed:

https://github.com/Shopify/nokogiri/compare/1b1fcad8bd64ab70256666c38d2c998e86ade8c0...master

Comment 1 Adam Mariš 2015-09-14 13:33:10 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1262851]

Comment 2 Adam Mariš 2015-09-14 13:33:12 UTC
Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1262853]
Affects: epel-7 [bug 1262854]

Comment 3 Martin Prpič 2015-11-03 10:30:21 UTC
*** Bug 1276688 has been marked as a duplicate of this bug. ***

Comment 5 Adam Mariš 2015-11-13 16:19:53 UTC

*** This bug has been marked as a duplicate of bug 1213957 ***


Note You need to log in before you can comment on or make changes to this bug.